Summary:	This is a LDAP authentication module for Apache
Name:		apache1-mod_auth_ldap
Version:	1.6.1
Release: 	%mkrel 1
License:	GPL
Group:		System/Servers
URL:		http://www.rudedog.org/auth_ldap/
Source0:	http://www.rudedog.org/auth_ldap/auth_ldap-%{version}.tar.bz2
Source1:	apache1-mod_auth_ldap.conf
Patch0:		auth_ldap_register.patch.bz2
Requires(post): rpm-helper
Requires(preun): rpm-helper
Obsoletes:	auth_ldap
Provides:	auth_ldap = %{version}-%{release}
Requires:	apache1 = 1.3.34
Requires:	apache1-base >= 1.3.34
BuildRequires:  openldap-devel
BuildRequires:  apache1-devel
BuildRequires:  db4.2-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}-root

%description
This is an authentication module for Apache that allows you to authenticate
HTTP clients using user entries in an LDAP directory.

%prep

%setup -q -n auth_ldap-%{version}
%patch -p1

%build

%configure \
    --with-ldap-sdk=openldap \
    --with-shared-cache \
    --with-apxs=%{_sbindir}/apache1-apxs \
    --with-frontpage

make

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

install -d %{buildroot}%{_sysconfdir}/apache1/modules.d
install -d %{buildroot}%{_libdir}/apache1

install -m0755 auth_ldap.so %{buildroot}%{_libdir}/apache1/
install -m0644 %{SOURCE1} %{buildroot}%{_sysconfdir}/apache1/modules.d/21_mod_auth_ldap.conf

%post
if [ -f %{_var}/lock/subsys/apache1 ]; then
    %{_initrddir}/apache1 restart 1>&2;
fi

%postun
if [ "$1" = "0" ]; then
    if [ -f %{_var}/lock/subsys/apache1 ]; then
        %{_initrddir}/apache1 restart 1>&2
    fi
fi

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc *.html *.xml *.xsl *.dtd PROBLEMS
%config(noreplace) %{_sysconfdir}/apache1/modules.d/21_mod_auth_ldap.conf
%{_libdir}/apache1/auth_ldap.so

%changelog
* Thu Jan 19 2006 Oden Eriksson <oeriksson@mandriva.com> 1.6.1-1mdk
- fix naming, versioning, deps and one security hole (CVE-2006-0150)

* Tue Mar 02 2004 Olivier Thauvin <thauvin@aerov.jussieu.fr> 1.6.0-14mdk
- Fix dependencies && rebuild

* Tue Sep 16 2003 Jean-Michel Dault <jmdault@mandrakesoft.com> 1.6.0-13mdk
- rebuild with apache 1.3.28

* Fri Aug 08 2003 Buchan Milne <bgmilne@linux-mandrake.com> 1.6.0-12mdk
- Rebuild to lose libsasl7 dependency

* Fri Feb 28 2003 Jean-Michel Dault <jmdault@mandrakesoft.com> 1.6.0-11mdk
- add BuildRequires libdb3.3-devel

* Thu Feb 13 2003 Jean-Michel Dault <jmdault@mandrakesoft.com> 1.6.0-10mdk
- new macros from ADVX-build

* Mon Jan 06 2003 Jean-Michel Dault <jmdault@mandrakesoft.com> 1.6.0-9mdk
- rebuilt with new openssl

* Mon Jan 06 2003 Jean-Michel Dault <jmdault@mandrakesoft.com> 1.6.0-8mdk
- rebuilt for new mm version
- Add Provides: ADVXpackage, all ADVX package will have this tag, 
  so we can easily do a rpm --whatprovides ADVXpackage to find out
  what ADVX packages a user has installed on his system. 

* Tue Jul  9 2002 Pixel <pixel@mandrakesoft.com> 1.6.0-7mdk
- Apache 1.3.26
- rebuild (so that it builds with "-D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64")
  => fix segfault

* Mon Apr 15 2002 Christian Belisle <cbelisle@mandrakesoft.com> 1.6.0-6mdk
- Apache 1.3.24.

* Mon Mar 04 2002 Jean-Michel Dault <jmdault@mandrakesoft.com> 1.6.0-5mdk
- Registered module so we know when it's loaded

* Wed Feb 06 2002 Christian Belisle <cbelisle@mandrakesoft.com> 1.6.0-4mdk
- Keep the same SRPMS name and change RPMS name.

* Wed Feb 06 2002 Christian Belisle <cbelisle@mandrakesoft.com> 1.6.0-3mdk
- Spec cleanup.
- post and postun follow the advx apache's modules standard.
- Build with FrontPage hack (see doc for more info).

* Thu Oct 18 2001 Philippe Libat <philippe@mandrakesoft.com> 1.6.0-2mdk
- new db3

* Fri Aug 24 2001 Philippe Libat <philippe@mandrakesoft.com> 1.6.0-1mdk
- new version

* Thu May 31 2001 Philippe Libat <philippe@mandrakesoft.com> 1.5.4-1mdk
- new version

* Wed May 16 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 1.4.7-2mdk
- Rebuild.

* Wed Dec 13 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 1.4.7-1mdk
- new and shiny source to fix a not-so-new-and-shiny source.

* Mon Nov 13 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 1.4.5-1mdk
- new and shiny version.
- _libdir macro.

* Wed Aug 30 2000 Etienne Faure <etienne@mandrakesoft.com> 1.4.0-5mdk
- rebuilt with new %doc macro

* Sat May 13 2000 David BAUDENS <baudens@mandrakesoft.com> 1.4.0-4mdk
- Fix build for i486

* Tue Mar 21 2000 Jerome Dumonteil <jd@mandrakesoft.com>
- build for mandrake 7.1

* Tue Nov 30 1999 Jerome Dumonteil <jd@mandrakesoft.com>
- use of _tmppath for BuildRoot

* Tue Nov  2 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- First mandrake release.

* Tue Sep 07 1999 Cristian Gafton <gafton@redhat.com>
- first build for Red Hat Linux 6.1
